Program Def_Cycle;

Const
	Prog_Auteur	= '1998 - Olivier MOUTRET';
	Prog_Id		= 'Dfinition de la couleur de cyclage.';
	Ln		= #10#13;
	Msg_Fich	= 'Indiquez la localisation du LOGO.SYS :';
	Fich_Logo	= 'LOGO.SYS';
	Msg_NoFile	= 'Fichier LOGO.SYS pas trouv.';
	Msg_LecSeul	= 'Fichier en lecture seul.';
	Msg_NumCo	= 'Numro de la premire couleur  cycler : ';
	Msg_CoAct	= 'Couleur actuel : ';

Var 	Img_Name: String;
	Fich	: File of Byte;
	NumCo	: Byte;

Procedure Erreur(St:string);
Begin
 WriteLn(St);
 Halt(1);
End;

Function FileExist(Fich_Name:String):Boolean;
Var 	Fich : File;
	Err : Boolean;
Begin
 Assign(fich,Fich_Name);
 {$I-} Reset(Fich);{$I+}
 Err:=IOResult<>0;
 If Not Err Then Close(Fich);	{Pas oublier de fermer le fichier}
 FileExist:=Not Err;
End;

Function FichName(Fich_Name:String):String;
Var t : Byte;
Begin
 t:=Length(Fich_Name);
 While (t<>0) and Not(Fich_Name[t] in [':','\']) Do Dec(t);
 If t<>0 Then Delete(Fich_Name,1,Byte(t));
 FichName := Fich_Name;
End;

Function UpWord(St:String):String;
Var t:Byte;
Begin
 For t:=1 to Length(St) Do St[t]:=UpCase(St[t]);
End;

Function Param:Boolean;
Begin
 If ParamCount=1
 Then Begin
       Img_Name:=UpWord(ParamStr(1));
       If FichName(Img_Name)=Fich_Logo
       Then Begin
	     Param:=True;
	     Exit;
	    End;
       End;
 Img_Name:='C:\'+Fich_Logo;
 Param:=FileExist(Img_Name);
End;

Begin
 WriteLn(FichName(ParamStr(0)),' : ',Prog_Id,Ln,Prog_Auteur,Ln);
 If Not Param
 Then Begin
       WriteLn(Msg_NoFile);
       Write(Msg_Fich);
       Read(Img_Name);
       If Img_Name[Length(Img_Name)]<>'\'
	Then Img_Name:=Img_Name+'\';
       Img_Name:=Img_Name+Fich_Logo;
      End;
 If not FileExist(Img_Name) Then Erreur(Msg_NoFile);

 Assign(Fich,Img_Name);
 FileMode:=2;
 {$I-}Reset(Fich);{$I+}
 If IOResult<>0 Then Erreur(Msg_LecSeul);

  Seek(Fich,50); Read(Fich,NumCo);Seek(Fich,50);

 WriteLn(Img_Name);
 WriteLn(Msg_CoAct,NumCo,Ln);

 Write(Msg_NumCo);	ReadLn(NumCo);
 Write(Fich,NumCo);

 Close(Fich);
End.